MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023970Open CASCADE[OCCT] OCCT:Testspublic2013-05-17 20:182018-08-16 14:46
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023970: Ignore dot-paths when searching for data files
DescriptionWhen tests search for the data files (with command locate_data_file), if the data path points to repository managed by Git, the procedure looks also into folder .git and sometimes finds where the files with searched names (e.g. 'a1', 'b2'). In general, all paths starting with dot should be excluded from this search.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0030071closedbugmaster Tests - locate_data_file does not skip .git folders 

-  Notes
(0024430)
abv (manager)
2013-05-17 20:25

Subdirectories of .git should be excluded now, please check / review
(0024569)
mkv (tester)
2013-05-30 14:58

Dear BugMaster,

Branch CR23970 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 36658479670a0970208cc9d77ff89f265d10e8c3

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366423444 / 366080260
Total CPU difference: 46646.17000000107 / 44999.77000000119

Testing on Windows:
Total MEMORY difference: 416178364 / 416507528
Total CPU difference: 39544.15625 / 35529.015625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 80482e01
Timestamp: 2013-05-17 16:24:26
Author: abv
Committer: abv
Details ] Diff ]
0023970: Ignore dot-paths when searching for data files
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-17 20:18 abv New Issue
2013-05-17 20:18 abv Assigned To => mkv
2013-05-17 20:18 abv Assigned To mkv => abv
2013-05-17 20:18 abv Status new => assigned
2013-05-17 20:25 abv Note Added: 0024430
2013-05-17 20:25 abv Assigned To abv => pdn
2013-05-17 20:25 abv Status assigned => resolved
2013-05-24 16:16 pdn Status resolved => reviewed
2013-05-30 14:58 mkv Note Added: 0024569
2013-05-30 14:59 mkv Test case number => Not needed
2013-05-30 14:59 mkv Assigned To pdn => bugmaster
2013-05-30 14:59 mkv Status reviewed => tested
2013-06-03 14:48 abv Changeset attached => occt master 80482e01
2013-06-03 14:48 abv Assigned To bugmaster => abv
2013-06-03 14:48 abv Status tested => verified
2013-06-03 14:48 abv Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0
2018-08-16 14:46 kgv Relationship added parent of 0030071


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker